Show / Hide Table of Contents

# Class Button

Button view

##### Inheritance

System.Object
Responder
View
Button

##### Inherited Members

Responder.CanFocus
View.Add(View)
View.Add(View[])
View.AddCh(Int32, Int32, Int32)
View.Bounds
View.ChildNeedsDisplay()
View.Clear()
View.ClearNeedsDisplay()
View.ColorScheme
View.DrawFrame(Rect, Boolean)
View.DrawHotString(String, Boolean, ColorScheme)
View.DrawHotString(String, Attribute, Attribute)
View.Driver
View.EnsureFocus()
View.Focused
View.FocusFirst()
View.FocusLast()
View.FocusNext()
View.FocusPrev()
View.Frame
View.GetEnumerator()
View.HasFocus
View.Id
View.LayoutSubviews()
View.MostFocused
View.Move(Int32, Int32)
View.Remove(View)
View.RemoveAll()
View.ScreenToView(Int32, Int32)
View.SetFocus(View)
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.Subviews
View.SuperView
View.ToString()
View.WantMousePositionReports

###### Namespace: Terminal

###### Assembly: Terminal.dll

##### Syntax

    public class Button : Terminal.View

##### Remarks

Provides a button that can be clicked, or pressed with the enter key and processes hotkeys (the first uppercase letter in the button becomes the hotkey).

### Constructors

#### Button(String)

Public constructor, creates a button based on the given text at position 0,0

##### Declaration

    public Button (string s);

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | s | To be added.

##### Remarks

The size of the button is computed based on the text length. This button is not a default button.

#### Button(String, Boolean)

Public constructor, creates a button based on the given text.

##### Declaration

    public Button (string s, bool is_default);

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | s | To be added.
System.Boolean | is_default | To be added.

##### Remarks

If the value for is_default is true, a special decoration is used, and the enter key on a dialog would implicitly activate this button.

#### Button(Int32, Int32, String)

Public constructor, creates a button based on the given text at the given position.

##### Declaration

    public Button (int x, int y, string s);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x | To be added.
System.Int32 | y | To be added.
System.String | s | To be added.

##### Remarks

The size of the button is computed based on the text length. This button is not a default button.

#### Button(Int32, Int32, String, Boolean)

Public constructor, creates a button based on the given text at the given position.

##### Declaration

    public Button (int x, int y, string s, bool is_default);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x | To be added.
System.Int32 | y | To be added.
System.String | s | To be added.
System.Boolean | is_default | To be added.

##### Remarks

If the value for is_default is true, a special decoration is used, and the enter key on a dialog would implicitly activate this button.

### Fields

#### Clicked

Clicked event, raised when the button is clicked.

##### Declaration

    public Action Clicked;

##### Field Value

Type | Description
--- | ---
System.Action | To be added.

##### Remarks

Client code can hook up to this event, it is raised when the button is activated either with the mouse or the keyboard.

### Properties

#### IsDefault

Gets or sets a value indicating whether this Button is the default action to activate on return on a dialog.

##### Declaration

    public bool IsDefault { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean | `true` if is default; otherwise, `false`.

#### Text

The text displayed by this widget.

##### Declaration

    public string Text { get; set; }

##### Property Value

Type | Description
--- | ---
System.String | To be added.

### Methods

#### MouseEvent(MouseEvent)

##### Declaration

    public override bool MouseEvent (Terminal.MouseEvent me);

##### Parameters

Type | Name | Description
--- | --- | ---
MouseEvent | me | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### PositionCursor()

##### Declaration

    public override void PositionCursor ();

#### ProcessColdKey(KeyEvent)

##### Declaration

    public override bool ProcessColdKey (Terminal.KeyEvent kb);

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### ProcessHotKey(KeyEvent)

##### Declaration

    public override bool ProcessHotKey (Terminal.KeyEvent kb);

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### ProcessKey(KeyEvent)

##### Declaration

    public override bool ProcessKey (Terminal.KeyEvent kb);

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### Redraw(Rect)

##### Declaration

    public override void Redraw (Terminal.Rect region);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | region | To be added.